#ifndef __GST_POLYPUTIL_H__
#define __GST_POLYPUTIL_H__

/* $Id: polyputil.h 18 2006-05-09 15:29:27Z lennart $ */

/***
  This file is part of gst-polyp.
 
  gst-polyp is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2.1 of the
  License, or (at your option) any later version.
 
  gst-polyp is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Lesser General Public License for more details.
 
  You should have received a copy of the GNU Lesser General Public
  License along with gst-polyp; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
***/

#include <gst/gst.h>
#include <polyp/polypaudio.h>
#include <gst/audio/gstaudiosink.h>

gboolean gst_polyp_fill_sample_spec(GstRingBufferSpec *spec, pa_sample_spec *ss);

gchar *gst_polyp_client_name(void);

#endif
